Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Minimaler Abstand Fläche zu Skizze

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Minimaler Abstand Fläche zu Skizze (196 mal gelesen)
Thomas Kammel
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Thomas Kammel an!   Senden Sie eine Private Message an Thomas Kammel  Schreiben Sie einen Gästebucheintrag für Thomas Kammel

Beiträge: 9
Registriert: 22.11.2018

CATIA V5 R26 Hot Fix 44

erstellt am: 16. Apr. 2019 13:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,
ich würde gern eine Aufgabe in CATIA automatisieren, komme aber zur Zeit nicht weiter, da ich kein ausgesprochener Programmierer bin.

Folgende Situation ist gegeben:
1.) Eine Kontur auf XY-Ebene
2.) Ein Bauraum in Form einer Isolierten Freiformfläche

Für den Datenaustausch mit einem anderen Programm muß der Bauraum auf der XY-Ebene in Form von Pads erstellt werden.
Da die Schnittstelle sehr schlich aufgebaut ist, funktioniert das nur wenn n pads mit n Skizzen erstellt werden.
Diese Pads müssen nach oben parallel zur XY-Ebene enden.
Folgende Einstellungen werden von der Schnittstelle nicht erkannt: Pad bis (Freiform-)Fläche, Rechteck-, Kreis- und benutzerdefiniertes -muster

Diesen Ansatz habe ich bis jetzt gewählt:
- Über Extremum (4 Punkte) die Grenzabmaße der Kontur ermitteln (Rechteckform).
- Die Skizzen sind momentan als Kreise aufgebaut, deren Durchmesser vor Programmstart über einen Parameter gesetzt wird.
- Als nächstes werden über die Rechteckform mit einer Zählschleife Skizzen und Pads erzeugt.

Das funktioniert bis hierhin auch sehr gut. Aber leider nur, wenn ich dem Pad eine feste Höhe vorgebe.

Ziel wäre es jedoch, in jedem Schleifendurchlauf auch gleich den Mindestabstand von der Skizze zur Freiformfläche zu ermitteln und diesen dann als Pad-Höhe vorzugeben.

So weit, so gut, dachte ich mir. Aber leider komme ich mit der Syntax für die Abstandsmessung überhaupt nicht klar, deswegen hier auch mein verzweifelter Hilferuf in die CATIA-Profi-Gemeinde, in der Hoffnung, daß ich mein Problem einigermaßen verständlich rüberbringen konnte.
Bitte helft mir, damit ich endlich wieder ruhig schlafen kann :-))

LG
Thomas K.

[Diese Nachricht wurde von Thomas Kammel am 16. Apr. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10549
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 16. Apr. 2019 20:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Thomas Kammel 10 Unities + Antwort hilfreich


Part_Bohung_flach_Flaeche.png

 
Servus

Ich befürchte das je nach Wölbung der Fläche bei einer Messung nichts brauchbares raus kommt.
Meine Ideen:


  • Über eine Schleife die Höhe des Blocks erhöhen bis es zu einer Kollision mit der Fläche kommt (siehe zB hier)
  • Über eine Bohrung (bis Fläche, flach) die Höhe der zylindrischen Blöcke ermitteln

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Kammel
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Thomas Kammel an!   Senden Sie eine Private Message an Thomas Kammel  Schreiben Sie einen Gästebucheintrag für Thomas Kammel

Beiträge: 9
Registriert: 22.11.2018

CATIA V5 R26 Hot Fix 44

erstellt am: 17. Apr. 2019 08:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,

vielen Dank für Deine Antwort, die Ansätze sind sehr interessant.
Mal sehen, ob ich das on Programmiercode umsetzen kann...

Sobald ich etwas brauchbares hinbekommen habe, melde ich
mich zurück.

LG
Thomas K.

[Diese Nachricht wurde von Thomas Kammel am 17. Apr. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10549
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 17. Apr. 2019 08:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Thomas Kammel 10 Unities + Antwort hilfreich

Servus Thomas

Mir ist noch was eingefallen:
Skizze normal zur Ebene auf die Fläche projizieren -> Abstand zwischen Ebene und Projektion messen.
Das Messen sollte so klappen (ungetestet):

Code:
Set oRefPlane= oPart.CreateReferenceFromObject(myPlane)
Set oRefProjection= oPart.CreateReferenceFromObject(myProjection)

Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench("SPAWorkbench")
Set TheMeasurable = TheSPAWorkbench.GetMeasurable(oRefPlane)
dDistance = TheMeasurable.GetMinimumDistance(oRefProjection)


Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz